API Reference

Circles

Named signer groups (`owner`, `admin`, `operations`, `security`, `support`, `services`) used in access-control policies to grant permissions to sets of Ed25519 keys.

List circles

GET
/circles

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Query Parameters

limit?integer

Maximum records to return

Default25
Rangevalue <= 100
offset?integer

Records to skip

Default0

Response Body

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/circles"
{
  "data": [
    {
      "handle": "owner"
    },
    {
      "handle": "admin"
    },
    {
      "handle": "operations"
    },
    {
      "handle": "security"
    },
    {
      "handle": "support"
    },
    {
      "handle": "services"
    }
  ],
  "meta": {
    "total": 6,
    "limit": 25,
    "offset": 0
  }
}

Create circle

POST
/circles

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://demo-co.ldg-stg.one/api/v2/circles" \  -H "Content-Type: application/json" \  -d '{    "data": {      "handle": "services"    }  }'
{
  "data": {
    "handle": "services"
  }
}

Get circle

GET
/circles/{handle}

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Path Parameters

handle*string

Record handle

Response Body

application/json

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/circles/pay-20260608-001"
{
  "data": {
    "handle": "services"
  }
}
{
  "error": {
    "code": "not-found",
    "message": "Wallet not found"
  }
}

Assign signer to circle

POST
/circles/{handle}/signers

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Path Parameters

handle*string

Record handle

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://demo-co.ldg-stg.one/api/v2/circles/pay-20260608-001/signers" \  -H "Content-Type: application/json" \  -d '{    "data": {      "handle": "svc-bridge-rojo"    }  }'
Empty
{
  "error": {
    "code": "not-found",
    "message": "Wallet not found"
  }
}

On this page

No Headings